package org.matrix.testNg.web.report;

import org.matrix.testNg.web.entity.DataBean;
import org.matrix.testNg.web.entity.DataBeans;
import org.matrix.testNg.web.entity.DataMove;
import org.matrix.util.ReporterUtils;

import java.util.List;

/**
 * @author mruny
 */
public class ReporterData {

    /**
     * 模板公共部分
     *
     * @return 补全了的所有报告信息
     */
    public DataBean testDataBean() {
        return ReporterUtils.map.get("dataBeansVo").getDataBean();
    }

    /**
     * 动作部分
     */
    public DataMove testDataBeanMove() {
        return ReporterUtils.map.get("dataBeansVo").getDataMove();
    }

    /**
     * 模板的细节部分
     *
     * @return 报告中细节部分的信息
     */
    public List<DataBeans> testDataBeans() {
        return ReporterUtils.map.get("dataBeansVo").getDataBeanLists();
    }

}